| Home | Libraries | People | FAQ | More

## Struct template subscriptable

boost::type_erasure::subscriptable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename R, typename T = _self, typename N = std::ptrdiff_t>
    struct subscriptable {

      // public static functions
      static R apply(T &, const N &);
    };

## Description

### `subscriptable` public static functions

1.     static R apply(T & arg, const N & index);